Where can I get libmysql.dll that comes with PHP V. 5.2.1?

Installation and configuration iussues

Moderators: macek, egami, gesf

jamfitz001
New php-forum User
New php-forum User
Posts: 2
Joined: Sat Sep 29, 2007 5:43 am

Where can I get libmysql.dll that comes with PHP V. 5.2.1?

Postby jamfitz001 » Sat Sep 29, 2007 5:53 am

I am getting this error on any php page, after running any php script that calls mySQL:

Error in my_thread_global_end(): 1 threads didn't exit

From reading, I've found that this is happening alot with the newest PHP versions (I'm using version 5.4.2).

A number of forums have threads indicating the solution is to replace the libmySql.dll in the php directory with the older version from 5.2.1 I don't see that version on the PHP.net downloads.

Does anyone have it, and could email the dll? Or where can I find older versions of PHP?

Or does anyone know a different solution to this problem? I tried to replace the libmysql.dll in the php directory with the one from the mysql directory, but it didn't have any effect on the error.

Thanks to all!

User avatar
Alexej Kubarev
Site Admin
Site Admin
Posts: 2223
Joined: Fri Mar 05, 2004 7:15 am
Location: Täby, Stockholms län
Contact:

Re: Where can I get libmysql.dll that comes with PHP V. 5.2.1?

Postby Alexej Kubarev » Mon May 19, 2008 11:35 pm

Not really having those problems myself, try fetching new distro? **Always use ZIP files**

User avatar
AeroX
New php-forum User
New php-forum User
Posts: 142
Joined: Sun May 11, 2008 1:40 am
Location: London, UK
Contact:

Re: Where can I get libmysql.dll that comes with PHP V. 5.2.1?

Postby AeroX » Tue May 20, 2008 2:07 pm

If your using Apache on a windows server COPY "libmysql.dll" to the "...\Apache\bin\" folder.

It may be that it is actually looking the dll in the same folder as the apache.exe file.

(I have had a simular problem recently)

User avatar
Alexej Kubarev
Site Admin
Site Admin
Posts: 2223
Joined: Fri Mar 05, 2004 7:15 am
Location: Täby, Stockholms län
Contact:

Re: Where can I get libmysql.dll that comes with PHP V. 5.2.1?

Postby Alexej Kubarev » Tue May 20, 2008 9:01 pm

or do what i would do in this situation: run it is apache module :-)


Return to “MySQL Installation”

Who is online

Users browsing this forum: No registered users and 0 guests

cron